linux-nvidia (7.0.0-1014.14) resolute; urgency=medium

  * resolute/linux-nvidia: 7.0.0-1014.14 -proposed tracker (LP: #2153496)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.nvidia/dkms-versions -- update from kernel-versions
      (adhoc/d2026.05.20)

  * Installer fails internally with a RSync error due to page fault
    (LP: #2150640)
    - NVIDIA: SAUCE: ovl: keep err zero after successful ovl_cache_get()

  * Pull CPPC mailing list patches for Spark (LP: #2131705)
    - ACPI: CPPC: Add cppc_get_perf() API to read performance controls
    - ACPI: CPPC: Warn on missing mandatory DESIRED_PERF register
    - ACPI: CPPC: Extend cppc_set_epp_perf() for FFH/SystemMemory
    - cpufreq: CPPC: Update cached perf_ctrls on sysfs write
    - cpufreq: cppc: Update MIN_PERF/MAX_PERF in target callbacks
    - ACPI: CPPC: add APIs and sysfs interface for perf_limited
    - cpufreq: CPPC: Add sysfs documentation for perf_limited
    - ACPI: CPPC: Move reference performance to capabilities
    - ACPI: CPPC: Fix uninitialized ref variable in cppc_get_perf_caps()
    - ACPI: CPPC: Check cpc_read() return values consistently
    - cpufreq: Remove max_freq_req update for pre-existing policy
    - cpufreq: Add boost_freq_req QoS request
    - cpufreq: Allocate QoS freq_req objects with policy
    - cpufreq/amd-pstate: Cache the max frequency in cpudata
    - NVIDIA: SAUCE: cpufreq: Extract cpufreq_policy_init_qos() function
    - NVIDIA: SAUCE: cpufreq: Set default policy->min/max values for all
      drivers
    - NVIDIA: SAUCE: cpufreq: Remove driver default policy->min/max init
    - NVIDIA: SAUCE: cpufreq: Use policy->min/max init as QoS request
    - NVIDIA: SAUCE: cpufreq: CPPC: add autonomous mode boot parameter support

  * Backport lan743x driver patches (LP: #2152064)
    - net: microchip: lan743x: add ethtool nway_reset support
    - net: lan743x: fix SGMII detection on PCI1xxxx B0+ during warm reset
    - net: lan743x: rename chip_rev to fpga_rev

  * Backport SMT-aware asymmetric CPU capacity idle selection (LP: #2150671)
    - NVIDIA: VR: SAUCE: sched/fair: Attach sched_domain_shared to
      sd_asym_cpucapacity
    - NVIDIA: VR: SAUCE: sched/fair: Prefer fully-idle SMT cores in asym-
      capacity idle selection
    - NVIDIA: VR: SAUCE: sched/fair: Reject misfit pulls onto busy SMT
      siblings on asym-capacity
    - NVIDIA: VR: SAUCE: sched/fair: Add SIS_UTIL support to
      select_idle_capacity()

  * Introduce a sharded cache affinity scope  (LP: #2150467)
    - workqueue: fix parse_affn_scope() prefix matching bug
    - workqueue: fix typo in WQ_AFFN_SMT comment
    - workqueue: add WQ_AFFN_CACHE_SHARD affinity scope
    - workqueue: set WQ_AFFN_CACHE_SHARD as the default affinity scope
    - tools/workqueue: add CACHE_SHARD support to wq_dump.py
    - workqueue: add test_workqueue benchmark module
    - docs: workqueue: document WQ_AFFN_CACHE_SHARD affinity scope
    - workqueue: avoid unguarded 64-bit division
    - workqueue: validate cpumask_first() result in
      llc_populate_cpu_shard_id()
    - [Config] nvidia: Defaults for CONFIG_TEST_WORKQUEUE

  * UBUNTU: [Config] nvidia: Disable default CMA reservation (LP: #2150898)
    - [Config] nvidia: Disable default CMA reservation

  * Backport Use device ID range for DGX Spark iGPU (LP: #2150487)
    - NVIDIA: SAUCE: iommu/arm-smmu-v3: Use device ID range for DGX Spark iGPU
      iommu quirk

  * Backport NVIDIA: SAUCE: iommu/arm-smmu-v3: Use identity domain for ASPEED
    BMC devices (LP: #2150470)
    - NVIDIA: SAUCE: iommu/arm-smmu-v3: Use identity domain for ASPEED BMC
      devices

  * Update GDS/NVMe SAUCE for v6.17 (LP: #2134960) // [linux-nvidia-7.0]:
    Forward-port GDS/NVFS content (LP: #2150289)
    - NVIDIA: SAUCE: Patch NVMe/NVMeoF driver to support GDS on Linux 7.0
      Kernel

  * serial: 8250_mtk: Update ACPI support to add NVDA0240 device ID
    (LP: #2148607)
    - Revert "NVIDIA: SAUCE: serial: 8250_mtk: Add ACPI support"
    - NVIDIA: SAUCE: MEDIATEK: serial: 8250_mtk: Add ACPI support

  * fix r8169 vs r8127 contention for Spark (LP: #2144345)
    - NVIDIA: SAUCE: r8169: remove PCI IDs claimed by r8127 driver

  [ Ubuntu: 7.0.0-27.27 ]

  * resolute/linux: 7.0.0-27.27 -proposed tracker (LP: #2157114)
  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts
  * Ubuntu 26.04 linux kernel has non-functional nova-core GPU driver enabled,
    conflicting with nouveau (LP: #2150845)
    - [Config] Disable NOVA_CORE
  * CVE-2026-46316
    - KVM: arm64: vgic-its: Drop the translation cache reference only for the
      erased entry
  * CVE-2026-46244
    - netfilter: nft_inner: Fix IPv6 inner_thoff desync
  * CVE-2026-46137
    - mptcp: pm: ADD_ADDR rtx: allow ID 0
    - mptcp: pm: ADD_ADDR rtx: fix potential data-race
  * CVE-2026-46185
    - smb/client: fix out-of-bounds read in symlink_data()
  * CVE-2026-46195
    - smb: client: validate dacloffset before building DACL pointers
  * CVE-2026-46289
    - lib/scatterlist: fix length calculations in extract_kvec_to_sg
  * CVE-2026-46119
    - libceph: Fix slab-out-of-bounds access in auth message processing
  * CVE-2026-46135
    - nvmet-tcp: fix race between ICReq handling and queue teardown
  * CVE-2026-46155
    - smb/client: fix out-of-bounds read in smb2_compound_op()
  * CVE-2026-46115
    - block: add pgmap check to biovec_phys_mergeable
  * CVE-2026-46243
    - smb: client: reject userspace cifs.spnego descriptions

  [ Ubuntu: 7.0.0-26.26 ]

  * resolute/linux: 7.0.0-26.26 -proposed tracker (LP: #2154530)
  * Packaging resync (LP: #1786013)
    - Revert "UBUNTU: SAUCE: import Huawei ES3000_V2 (2.1.0.23)"
    - [Packaging] debian.master/dkms-versions -- remove dkms-versions
      (main/2026.05.18)
  * Fix mic mute  led on a HP EliteBook 6 G2a platform (LP: #2150065)
    - ALSA: hda/realtek: Add LED fixup for HP EliteBook 6 G2a Laptops
  * ov08x40 module mounted upside down on a certain DELL platforms
    (LP: #2146517)
    - SAUCE: media: ipu-bridge: Add DMI quirk for new Dell XPS laptops with
      upside down sensors
    - SAUCE: media: ipu-bridge: Add DMI quirk for Dell 14 laptops with upside
      down sensors
  * Support additional 2888x1808@30fps 900MHz for OVTI05C1 camera sensor
    (LP: #2147409)
    - SAUCE: media: ipu-bridge: Add 900MHz for OV05C10
    - SAUCE: platform/x86: int3472: increase handshake delay to 50ms for
      OV05C10
  * Support Samsung S5K3J1 sensor for Intel MIPI camera (LP: #2121852)
    - SAUCE: media: ipu-bridge: Support s5k3j1 sensor
  * [SRU] ASoC: enable rt1320 speaker amp and DMIC on PTL SoundWire platforms
    (LP: #2150196)
    - ASoC: Intel: soc-acpi-intel-ptl-match: drop rt722 monolithic match
      tables
    - ASoC: SOF: Intel: Add a is_amp flag to fix the wrong name prefix
    - ASoC: sdw_utils: add rt1320 and rt1321 dmic dai in codec_info_list
  * powerpc-build in ubuntu_kernel_selftests fails to build due to
    uninitialized value (LP: #2129844)
    - selftests/powerpc: Suppress -Wmaybe-uninitialized with GCC 15
  * Ubuntu 26.04 linux kernel has non-functional nova-core GPU driver enabled,
    conflicting with nouveau (LP: #2150845)
    - [Config] Disable DRM_NOVA
  * Resolute update: v7.0.6 upstream stable release (LP: #2152558)
    - Linux 7.0.6
    - Upstream stable to v7.0.6
  * Resolute update: v7.0.5 upstream stable release (LP: #2152556)
    - Linux 7.0.5
    - Upstream stable to v7.0.5
  * Resolute update: v7.0.4 upstream stable release (LP: #2152552)
    - ALSA: usb-audio: stop parsing UAC2 rates at MAX_NR_RATES
    - ALSA: usb-audio: Avoid false E-MU sample-rate notifications
    - ALSA: usb-audio: Fix Audio Advantage Micro II SPDIF switch
    - usb: xhci: Make usb_host_endpoint.hcpriv survive endpoint_disable()
    - usb: chipidea: otg: not wait vbus drop if use role_switch
    - usb: chipidea: core: allow ci_irq_handler() handle both ID and VBUS
      change
    - ALSA: usb-audio: Evaluate packsize caps at the right place
    - LoongArch: Add spectre boundry for syscall dispatch table
    - drm/nouveau: fix u32 overflow in pushbuf reloc bounds check
    - leds: qcom-lpg: Check for array overflow when selecting the high
      resolution
    - greybus: gb-beagleplay: bound bootloader receive buffering
    - greybus: gb-beagleplay: fix sleep in atomic context in hdlc_tx_frames()
    - misc: ibmasm: fix OOB MMIO read in ibmasm_handle_mouse_interrupt()
    - ibmasm: fix OOB reads in command_file_write due to missing size checks
    - ibmasm: fix heap over-read in ibmasm_send_i2o_message()
    - sysfs: attribute_group: Respect is_visible_const() when changing owner
    - driver core: Don't let a device probe until it's ready
    - device property: Make modifications of fwnode "flags" thread safe
    - drm/nouveau: fix nvkm_device leak on aperture removal failure
    - rust: dma: remove DMA_ATTR_NO_KERNEL_MAPPING from public attrs
    - kbuild: rust: allow `clippy::uninlined_format_args`
    - fs: afs: revert mmap_prepare() change
    - firmware: google: framebuffer: Do not mark framebuffer as busy
    - lib: test_hmm: evict device pages on file close to avoid use-after-free
    - arm64/mm: Enable batched TLB flush in unmap_hotplug_range()
    - arm64: mm: Fix rodata=full block mapping support for realm guests
    - mm: migrate: requeue destination folio on deferred split queue
    - mm: prevent droppable mappings from being locked
    - mm: fix deferred split queue races during migration
    - ocfs2: split transactions in dio completion to avoid credit exhaustion
    - Input: edt-ft5x06 - fix use-after-free in debugfs teardown
    - zram: do not forget to endio for partial discard requests
    - wifi: rtw88: check for PCI upstream bridge existence
    - wifi: mwifiex: fix use-after-free in mwifiex_adapter_cleanup()
    - vfio: selftests: Fix VLA initialisation in vfio_pci_irq_set()
    - vfio/xe: Add a missing vfio_pci_core_release_dev()
    - vfio/virtio: Convert list_lock from spinlock to mutex
    - vfio/cdx: Serialize VFIO_DEVICE_SET_IRQS with a per-device mutex
    - vfio/cdx: Fix NULL pointer dereference in interrupt trigger path
    - um: drivers: call kernel_strrchr() explicitly in cow_user.c
    - thermal: core: Fix thermal zone governor cleanup issues
    - spi: imx: fix use-after-free on unbind
    - spi: ch341: fix memory leaks on probe failures
    - crypto: algif_aead - snapshot IV for async AEAD requests
    - crypto: pcrypt - Fix handling of MAY_BACKLOG requests
    - dt-bindings: display: ti, am65x-dss: Fix AM62L DSS reg and clock
      constraints
    - of: unittest: fix use-after-free in of_unittest_changeset()
    - of: unittest: fix use-after-free in testdrv_probe()
    - hwmon: (powerz) Fix missing usb_kill_urb() on signal interrupt
    - EDAC/versalnet: Fix device_node leak in mc_probe()
    - PCI: imx6: Skip waiting for L2/L3 Ready on i.MX6SX
    - media: amphion: Fix race between m2m job_abort and device_run
    - ALSA: control: Validate buf_len before strnlen() in
      snd_ctl_elem_init_enum_names()
    - net: caif: clear client service pointer on teardown
    - net: strparser: fix skb_head leak in strp_abort_strp()
    - media: mtk-jpeg: fix use-after-free in release path due to uncancelled
      work
    - crypto: atmel-sha204a - Fix OTP sysfs read and error handling
    - PCI: endpoint: pci-epf-ntb: Remove duplicate resource teardown
    - Revert "ALSA: usb: Increase volume range that triggers a warning"
    - phy: qcom: m31-eusb2: clear PLL_EN during init
    - PCI: epf-mhi: Return 0, not remaining timeout, when eDMA ops complete
    - lib/ts_kmp: fix integer overflow in pattern length calculation
    - media: i2c: imx219: Check return value of devm_gpiod_get_optional() in
      imx219_probe()
    - net: qrtr: ns: Fix use-after-free in driver remove()
    - ext2: reject inodes with zero i_nlink and valid mode in ext2_iget()
    - mm/zsmalloc: copy KMSAN metadata in zs_page_migrate()
    - ALSA: aoa: i2sbus: clear stale prepared state
    - ALSA: aoa: i2sbus: fix OF node lifetime handling
    - ALSA: aoa: Skip devices with no codecs in i2sbus_resume()
    - ALSA: ctxfi: Add fallback to default RSR for S/PDIF
    - ALSA: seq_oss: return full count for successful SEQ_FULLSIZE writes
    - erofs: fix the out-of-bounds nameoff handling for trailing dirents
    - ipmi:ssif: Clean up kthread on errors
    - jbd2: fix deadlock in jbd2_journal_cancel_revoke()
    - KVM: selftests: Fix reserved value WRMSR testcase for multi-feature MSRs
    - md/raid10: fix deadlock with check operation and nowait requests
    - media: rc: igorplugusb: heed coherency rules
    - media: rockchip: rkcif: fix off by one bugs
    - media: rockchip: rkcif: comply with minimum number of buffers
      requirement
    - mfd: stpmic1: Attempt system shutdown twice in case PMIC is confused
    - mm/alloc_tag: clear codetag for pages allocated before page_ext
      initialization
    - mm/damon/core: fix damon_call() vs kdamond_fn() exit race
    - mm/damon/core: fix damos_walk() vs kdamond_fn() exit race
    - mm/hugetlb: fix early boot crash on parameters without '=' separator
    - mtd: docg3: fix use-after-free in docg3_release()
    - nvme-pci: add NVME_QUIRK_DISABLE_WRITE_ZEROES for Kingston OM3SGP4
    - nvme: respect NVME_QUIRK_DISABLE_WRITE_ZEROES when wzsl is set
    - parisc: _llseek syscall is only available for 32-bit userspace
    - parisc: Drop ip_fast_csum() inline assembly implementation
    - PCI: cadence: Use cdns_pcie_read_sz() for byte or word read access
    - PCI: imx6: Fix reference clock source selection for i.MX95
    - perf annotate: Use jump__delete when freeing LoongArch jumps
    - RDMA/mana_ib: Disable RX steering on RSS QP destroy
    - remoteproc: xlnx: Only access buffer information if IPI is buffered
    - reset: rzv2h-usb2phy: Keep PHY clock enabled for entire device lifetime
    - sched: Use u64 for bandwidth ratio calculations
    - selftests/mqueue: Fix incorrectly named file
    - landlock: Fix LOG_SUBDOMAINS_OFF inheritance across fork()
    - landlock: Allow TSYNC with LOG_SUBDOMAINS_OFF and fd=-1
    - selftests/landlock: Drain stale audit records on init
    - selftests/landlock: Fix format warning for __u64 in net_test
    - selftests/landlock: Fix snprintf truncation checks in audit helpers
    - selftests/landlock: Skip stale records in audit_match_record()
    - rbd: fix null-ptr-deref when device_add_disk() fails
    - mm/zone_device: do not touch device folio after calling ->folio_free()
    - block: fix zone write plugs refcount handling in
      disk_zone_wplug_schedule_bio_work()
    - io_uring/zcrx: return back two step unregistration
    - io_uring/timeout: check unused sqe fields
    - block: relax pgmap check in bio_add_page for compatible zone device
      pages
    - iio: adc: ti-ads7950: use iio_push_to_buffers_with_ts_unaligned()
    - io_uring/register: fix ring resizing with mixed/large SQEs/CQEs
    - io_uring/zcrx: fix user_struct uaf
    - io_uring/poll: fix signed comparison in io_poll_get_ownership()
    - io_uring/poll: ensure EPOLL_ONESHOT is propagated for EPOLL_URING_WAKE
    - module.lds,codetag: force 0 sh_addr for sections
    - module.lds.S: Fix modules on 32-bit parisc architecture
    - ALSA: core: Fix potential data race at fasync handling
    - ALSA: caiaq: Fix control_put() result and cache rollback
    - ALSA: caiaq: Handle probe errors properly
    - ALSA: 6fire: Fix input volume change detection
    - ALSA: hda/realtek - Add mute LED support for HP Victus 15-fa2xxx
    - ALSA: pcmtest: fix reference leak on failed device registration
    - ALSA: pcmtest: Fix resource leaks in module init error paths
    - iio: adc: ad7768-1: fix one-shot mode data acquisition
    - iio: adc: ad7768-1: remove switch to one-shot mode
    - rxrpc: Fix memory leaks in rxkad_verify_response()
    - rxrpc: Fix rxkad crypto unalignment handling
    - rxrpc: Fix error handling in rxgk_extract_token()
    - rxrpc: Fix re-decryption of RESPONSE packets
    - EDAC/versalnet: Fix memory leak in remove and probe error paths
    - tools/accounting: handle truncated taskstats netlink messages
    - net: txgbe: fix RTNL assertion warning when remove module
    - arm64: dts: marvell: uDPU: add ethernet aliases
    - net: qrtr: ns: Limit the maximum server registration per node
    - net: qrtr: ns: Limit the maximum number of lookups
    - net: qrtr: ns: Free the node during ctrl_cmd_bye()
    - net: qrtr: ns: Limit the total number of nodes
    - net: rds: fix MR cleanup on copy error
    - net: txgbe: fix firmware version check
    - net/smc: avoid early lgr access in smc_clc_wait_msg
    - net: ks8851: Reinstate disabling of BHs around IRQ handler
    - net: bridge: use a stable FDB dst snapshot in RCU readers
    - netconsole: avoid out-of-bounds access on empty string in trim_newline()
    - net: mctp: fix don't require received header reserved bits to be zero
    - net: ks8851: Avoid excess softirq scheduling
    - drm/arcpgu: fix device node leak
    - slub: fix data loss and overflow in krealloc()
    - tracing/fprobe: Reject registration of a registered fprobe before init
    - RDMA/rxe: Validate pad and ICRC before payload_size() in rxe_rcv
    - printf: Compile the kunit test with DISABLE_BRANCH_PROFILING
      DISABLE_BRANCH_PROFILING
    - ipv4: icmp: validate reply type before using icmp_pointers
    - libceph: Prevent potential null-ptr-deref in ceph_handle_auth_reply()
    - spi: fix resource leaks on device setup failure
    - extract-cert: Wrap key_pass with '#ifdef USE_PKCS11_ENGINE'
    - tpm: avoid -Wunused-but-set-variable
    - LoongArch: Make arch_irq_work_has_interrupt() true only if IPI HW exist
    - LoongArch: Show CPU vulnerabilites correctly
    - fbdev: defio: Disconnect deferred I/O from the lifetime of struct
      fb_info
    - power: supply: axp288_charger: Do not cancel work before initializing it
    - hwmon: (isl28022) Fix integer overflow in power calculation on 32-bit
    - hwmon: (powerz) Avoid cacheline sharing for DMA buffer
    - media: rzv2h-ivc: Revise default VBLANK formula
    - media: rzv2h-ivc: Fix AXIRX_VBLANK register write
    - fs: prepare for adding LSM blob to backing_file
    - lsm: add backing_file LSM hooks
    - selinux: fix overlayfs mmap() and mprotect() access checks
    - hwmon: (pt5161l) Fix bugs in pt5161l_read_block_data()
    - randomize_kstack: Maintain kstack_offset per task
    - mmc: block: use single block write in retry
    - mmc: sdhci-of-dwcmshc: Disable clock before DLL configuration
    - arm64: dts: ti: am62-verdin: Enable pullup for eMMC data pins
    - crypto: qat - fix IRQ cleanup on 6xxx probe failure
    - xfs: start gc on zonegc_low_space attribute updates
    - xfs: fix a resource leak in xfs_alloc_buftarg()
    - firmware: google: framebuffer: Do not unregister platform device
    - firmware: exynos-acpm: Drop fake 'const' on handle pointer
    - crypto: talitos - fix SEC1 32k ahash request limitation
    - crypto: talitos - rename first/last to first_desc/last_desc
    - pwm: imx-tpm: Count the number of enabled channels in probe
    - tpm2-sessions: Fix missing tpm_buf_destroy() in tpm2_read_public()
    - tpm: Fix auth session leak in tpm2_get_random() error path
    - tpm: Use kfree_sensitive() to free auth session in tpm_dev_release()
    - tpm: tpm_tis: add error logging for data transfer
    - tpm: tpm_tis: stop transmit if retries are exhausted
    - rtc: ntxec: fix OF node reference imbalance
    - mm/vmalloc: take vmap_purge_lock in shrinker
    - mm/memfd_luo: fix physical address conversion in put_folios cleanup
    - mm/mempolicy: fix memory leaks in weighted_interleave_auto_store()
    - mm/damon/stat: fix memory leak on damon_start() failure in
      damon_stat_start()
    - mm/damon/core: validate damos_quota_goal->nid for
      node_mem_{used,free}_bp
    - mm/damon/core: validate damos_quota_goal->nid for
      node_memcg_{used,free}_bp
    - mm/damon/core: use time_in_range_open() for damos quota window start
    - mm/damon/core: disallow time-quota setting zero esz
    - mm/damon/core: disallow non-power of two min_region_sz on damon_start()
    - userfaultfd: allow registration of ranges below mmap_min_addr
    - LoongArch: KVM: Use CSR_CRMD_PLV in kvm_arch_vcpu_in_kernel()
    - KVM: x86: Defer non-architectural deliver of exception payload to
      userspace read
    - KVM: nSVM: Mark all of vmcb02 dirty when restoring nested state
    - KVM: nSVM: Sync NextRIP to cached vmcb12 after VMRUN of L2
    - KVM: nSVM: Sync interrupt shadow to cached vmcb12 after VMRUN of L2
    - KVM: SVM: Inject #UD for INVLPGA if EFER.SVME=0
    - KVM: SVM: Explicitly mark vmcb01 dirty after modifying VMCB intercepts
    - KVM: nSVM: Ensure AVIC is inhibited when restoring a vCPU to guest mode
    - KVM: nSVM: Always use NextRIP as vmcb02's NextRIP after first L2 VMRUN
    - KVM: nSVM: Delay stuffing L2's current RIP into NextRIP until vCPU run
    - KVM: nSVM: Use vcpu->arch.cr2 when updating vmcb12 on nested #VMEXIT
    - KVM: arm64: Account for RESx bits in __compute_fgt()
    - KVM: nSVM: Avoid clearing VMCB_LBR in vmcb12
    - KVM: nSVM: Delay setting soft IRQ RIP tracking fields until vCPU run
    - KVM: SVM: Switch svm_copy_lbrs() to a macro
    - KVM: SVM: Add missing save/restore handling of LBR MSRs
    - KVM: nSVM: Always inject a #GP if mapping VMCB12 fails on nested VMRUN
    - KVM: nSVM: Refactor checking LBRV enablement in vmcb12 into a helper
    - KVM: nSVM: Refactor writing vmcb12 on nested #VMEXIT as a helper
    - KVM: nSVM: Triple fault if restore host CR3 fails on nested #VMEXIT
    - KVM: nSVM: Triple fault if mapping VMCB12 fails on nested #VMEXIT
    - KVM: nSVM: Clear GIF on nested #VMEXIT(INVALID)
    - KVM: nSVM: Clear EVENTINJ fields in vmcb12 on nested #VMEXIT
    - KVM: nSVM: Clear tracking of L1->L2 NMI and soft IRQ on nested #VMEXIT
    - KVM: nSVM: Add missing consistency check for EFER, CR0, CR4, and CS
    - KVM: nSVM: Drop the non-architectural consistency check for NP_ENABLE
    - KVM: nSVM: Add missing consistency check for nCR3 validity
    - KVM: nSVM: Raise #UD if unhandled VMMCALL isn't intercepted by L1
    - KVM: nSVM: Always intercept VMMCALL when L2 is active
    - ARM: 9472/1: fix race condition on PG_dcache_clean in
      __sync_icache_dcache()
    - ring-buffer: Do not double count the reader_page
    - ext4: fix bounds check in check_xattrs() to prevent out-of-bounds access
    - ext4: fix missing brelse() in ext4_xattr_inode_dec_ref_all()
    - udf: fix partition descriptor append bookkeeping
    - mtd: spi-nor: sst: Fix write enable before AAI sequence
    - mtd: spinand: winbond: Declare the QE bit on W25NxxJW
    - amdgpu/jpeg: fix deepsleep register for jpeg 5_0_0 and 5_0_2
    - md/md-llbitmap: skip reading rdevs that are not in_sync
    - md/md-llbitmap: raise barrier before state machine transition
    - md/raid5: fix soft lockup in retry_aligned_read()
    - md/raid5: validate payload size before accessing journal metadata
    - check-uapi: link into shared objects
    - mm, swap: speed up hibernation allocation and writeout
    - HID: apple: ensure the keyboard backlight is off if suspending
    - inotify: fix watch count leak when fsnotify_add_inode_mark_locked()
      fails
    - x86/cpu: Disable FRED when PTI is forced on
    - x86/shstk: Prevent deadlock during shstk sigreturn
    - wifi: rtl8xxxu: fix potential use of uninitialized value
    - tcp: call sk_data_ready() after listener migration
    - taskstats: set version in TGID exit notifications
    - mptcp: sync the msk->sndbuf at accept() time
    - mfd: core: Preserve OF node when ACPI handle is present
    - 9p: fix access mode flags being ORed instead of replaced
    - Bluetooth: hci_event: fix potential UAF in SSP passkey handlers
    - bus: mhi: host: pci_generic: Switch to async power up to avoid boot
      delays
    - can: ucan: fix devres lifetime
    - crypto: acomp - fix wrong pointer stored by acomp_save_req()
    - crypto: arm64/aes - Fix 32-bit aes_mac_update() arg treated as 64-bit
    - crypto: atmel-aes - Fix 3-page memory leak in atmel_aes_buff_cleanup
    - crypto: atmel-ecc - Release client on allocation failure
    - crypto: hisilicon - Fix dma_unmap_single() direction
    - crypto: ccree - fix a memory leak in cc_mac_digest()
    - crypto: atmel-tdes - fix DMA sync direction
    - crypto: atmel-sha204a - Fix error codes in OTP reads
    - crypto: atmel-sha204a - Fix potential UAF and memory leak in remove path
    - crypto: atmel-sha204a - Fix uninitialized data access on OTP read error
    - crypto: nx - fix bounce buffer leaks in nx842_crypto_{alloc,free}_ctx
    - crypto: nx - fix context leak in nx842_crypto_free_ctx
    - crypto: nx - Fix packed layout in struct nx842_crypto_header
    - dm mirror: fix integer overflow in create_dirty_log()
    - erofs: fix unsigned underflow in z_erofs_lz4_handle_overlap()
    - ceph: fix num_ops off-by-one when crypto allocation fails
    - ceph: only d_add() negative dentries when they are unhashed
    - gtp: disable BH before calling udp_tunnel_xmit_skb()
    - IB/core: Fix zero dmac race in neighbor resolution
    - ktest: Fix the month in the name of the failure directory
    - NFSv4.1: Apply session size limits on clone path
    - ntfs3: add buffer boundary checks to run_unpack()
    - ntfs3: fix integer overflow in run_unpack() volume boundary check
    - rtmutex: Use waiter::task instead of current in remove_waiter()
    - rxgk: Fix potential integer overflow in length check
    - sched_ext: Documentation: Clarify ops.dispatch() role in task lifecycle
    - scsi: sd: fix missing put_disk() when device_add(&disk_dev) fails
    - seg6: fix seg6 lwtunnel output redirect for L2 reduced encap mode
    - perf loongarch: Fix build failure with CONFIG_LIBDW_DWARF_UNWIND
    - iio: frequency: admv1013: add dev variable
    - iio: frequency: admv1013: fix NULL pointer dereference on str
    - wifi: mt76: mt792x: describe USB WFSYS reset with a descriptor
    - wifi: mt76: mt792x: fix mt7925u USB WFSYS reset handling
    - mm: various small mmap_prepare cleanups
    - mm: avoid deadlock when holding rmap on mmap_prepare error
    - mei: me: use PCI_DEVICE_DATA macro
    - mei: me: add nova lake point H DID
    - crypto: authencesn - reject short ahash digests during instance creation
    - driver core: Add kernel-doc for DEV_FLAG_COUNT enum value
    - ALSA: caiaq: Fix potentially leftover ep1_in_urb at error path
    - ALSA: caiaq: Don't abort when no input device is available
    - ipv6: rpl: reserve mac_len headroom when recompressed SRH grows
    - drm/amdgpu: fix zero-size GDS range init on RDNA4
    - drm/imagination: Fix segfault when updating ftrace mask
    - ALSA: caiaq: fix usb_dev refcount leak on probe failure
    - ALSA: aloop: Fix peer runtime UAF during format-change stop
    - vmalloc: fix buffer overflow in vrealloc_node_align()
    - mm/page_alloc: return NULL early from alloc_frozen_pages_nolock() in NMI
      on UP
    - mm/slab: return NULL early from kmalloc_nolock() in NMI on UP
    - net: ipv6: fix NOREF dst use in seg6 and rpl lwtunnels
    - netfilter: reject zero shift in nft_bitwise
    - ipmi:ssif: Remove unnecessary indention
    - ipmi:ssif: NULL thread on error
    - Linux 7.0.4
    - Upstream stable to v7.0.4
  * Resolute update: v7.0.3 upstream stable release (LP: #2152550)
    - Buffer overflow in drivers/xen/sys-hypervisor.c
    - xen/privcmd: fix double free via VMA splitting
    - Linux 7.0.3
    - Upstream stable to v7.0.3
  * Resolute update: v7.0.2 upstream stable release (LP: #2150553)
    - crypto: authencesn - Fix src offset when decrypting in-place
    - pwm: th1520: fix `CLIPPY=1` warning
    - drm/amdgpu: replace PASID IDR with XArray
    - crypto: krb5enc - fix sleepable flag handling in encrypt dispatch
    - crypto: krb5enc - fix async decrypt skipping hash verification
    - ksmbd: fix use-after-free in __ksmbd_close_fd() via durable scavenger
    - ksmbd: validate owner of durable handle on reconnect
    - scripts: generate_rust_analyzer.py: define scripts
    - scripts/dtc: Remove unused dts_version in dtc-lexer.l
    - fs/ntfs3: validate rec->used in journal-replay file record check
    - f2fs: fix to do sanity check on dcc->discard_cmd_cnt conditionally
    - f2fs: fix UAF caused by decrementing sbi->nr_pages[] in
      f2fs_write_end_io()
    - f2fs: fix to avoid memory leak in f2fs_rename()
    - f2fs: fix to avoid uninit-value access in f2fs_sanity_check_node_footer
    - fuse: reject oversized dirents in page cache
    - fuse: abort on fatal signal during sync init
    - fuse: Check for large folio with SPLICE_F_MOVE
    - fuse: quiet down complaints in fuse_conn_limit_write
    - fuse: fuse_dev_ioctl_clone() should wait for device file to be
      initialized
    - ksmbd: require minimum ACE size in smb_check_perm_dacl()
    - smb: server: fix active_num_conn leak on transport allocation failure
    - smb: client: fix dir separator in SMB1 UNIX mounts
    - smb: server: fix max_connections off-by-one in tcp accept path
    - smb: client: require a full NFS mode SID before reading mode bits
    - smb: client: validate the whole DACL before rewriting it in cifsacl
    - smb: client: fix OOB read in smb2_ioctl_query_info QUERY_INFO path
    - ksmbd: validate response sizes in ipc_validate_msg()
    - ksmbd: validate num_aces and harden ACE walk in smb_inherit_dacl()
    - ksmbd: fix out-of-bounds write in smb2_get_ea() EA alignment
    - ksmbd: use check_add_overflow() to prevent u16 DACL size overflow
    - ksmbd: reset rcount per connection in ksmbd_conn_wait_idle_sess_id()
    - writeback: Fix use after free in inode_switch_wbs_work_fn()
    - f2fs: fix use-after-free of sbi in f2fs_compress_write_end_io()
    - ALSA: usb-audio: apply quirk for MOONDROP JU Jiu
    - ALSA: hda/realtek: Add quirk for Legion S7 15IMH
    - ALSA: caiaq: take a reference on the USB device in create_card()
    - net/packet: fix TOCTOU race on mmap'd vnet_hdr in tpacket_snd()
    - crypto: ccp: Don't attempt to copy CSR to userspace if PSP command
      failed
    - crypto: ccp: Don't attempt to copy PDH cert to userspace if PSP command
      failed
    - crypto: ccp: Don't attempt to copy ID to userspace if PSP command failed
    - rxrpc: Fix missing validation of ticket length in non-XDR key preparsing
    - mshv_vtl: Fix vmemmap_shift exceeding MAX_FOLIO_ORDER
    - Linux 7.0.2
  * Resolute update: v7.0.1 upstream stable release (LP: #2150547)
    - Revert "UBUNTU: SAUCE: cdc-acm: Exclude Exar USB serial ports"
    - nfc: llcp: add missing return after LLCP_CLOSED checks
    - x86/CPU: Fix FPDSS on Zen1
    - can: raw: fix ro->uniq use-after-free in raw_rcv()
    - i2c: s3c24xx: check the size of the SMBUS message before using it
    - staging: rtl8723bs: initialize le_tmp64 in rtw_BIP_verify()
    - HID: alps: fix NULL pointer dereference in alps_raw_event()
    - HID: core: clamp report_size in s32ton() to avoid undefined shift
    - net: usb: cdc-phonet: fix skb frags[] overflow in rx_complete()
    - NFC: digital: Bounds check NFC-A cascade depth in SDD response handler
    - drm/vc4: platform_get_irq_byname() returns an int
    - bnge: return after auxiliary_device_uninit() in error path
    - ALSA: usx2y: us144mkii: fix NULL deref on missing interface 0
    - ALSA: fireworks: bound device-supplied status before string array lookup
    - fbdev: tdfxfb: avoid divide-by-zero on FBIOPUT_VSCREENINFO
    - usb: gadget: f_ncm: validate minimum block_len in ncm_unwrap_ntb()
    - usb: gadget: f_phonet: fix skb frags[] overflow in pn_rx_complete()
    - usb: gadget: renesas_usb3: validate endpoint index in standard request
      handlers
    - smb: client: fix off-by-8 bounds check in check_wsl_eas()
    - smb: client: fix OOB reads parsing symlink error response
    - ksmbd: validate EaNameLength in smb2_get_ea()
    - ksmbd: require 3 sub-authorities before reading sub_auth[2]
    - ksmbd: fix mechToken leak when SPNEGO decode fails after token alloc
    - smb: client: avoid double-free in smbd_free_send_io() after
      smbd_send_batch_flush()
    - smb: server: avoid double-free in smb_direct_free_sendmsg after
      smb_direct_flush_send_list()
    - usbip: validate number_of_packets in usbip_pack_ret_submit()
    - usb: typec: fusb302: Switch to threaded IRQ handler
    - usb: storage: Expand range of matched versions for VL817 quirks entry
    - USB: cdc-acm: Add quirks for Yoga Book 9 14IAH10 INGENIC touchscreen
    - usb: gadget: f_hid: don't call cdev_init while cdev in use
    - usb: port: add delay after usb_hub_set_port_power()
    - fbdev: udlfb: avoid divide-by-zero on FBIOPUT_VSCREENINFO
    - scripts/gdb/symbols: handle module path parameters
    - scripts: generate_rust_analyzer.py: avoid FD leak
    - wifi: rtw88: fix device leak on probe failure
    - staging: sm750fb: fix division by zero in ps_to_hz()
    - selftests/mm: hmm-tests: don't hardcode THP size to 2MB
    - USB: serial: option: add Telit Cinterion FN990A MBIM composition
    - Docs/admin-guide/mm/damon/reclaim: warn commit_inputs vs param updates
      race
    - Docs/admin-guide/mm/damon/lru_sort: warn commit_inputs vs param updates
      race
    - ALSA: ctxfi: Limit PTP to a single page
    - dcache: Limit the minimal number of bucket to two
    - vfio/xe: Reorganize the init to decouple migration from reset
    - arm64: mm: Handle invalid large leaf mappings correctly
    - media: vidtv: fix NULL pointer dereference in
      vidtv_channel_pmt_match_sections
    - ocfs2: fix possible deadlock between unlink and dio_end_io_write
    - ocfs2: fix use-after-free in ocfs2_fault() when VM_FAULT_RETRY
    - ocfs2: handle invalid dinode in ocfs2_group_extend
    - PCI: endpoint: pci-epf-vntb: Stop cmd_handler work in
      epf_ntb_epc_cleanup
    - PCI: endpoint: pci-epf-vntb: Remove duplicate resource teardown
    - KVM: selftests: Remove duplicate LAUNCH_UPDATE_VMSA call in SEV-ES
      migrate test
    - KVM: SEV: Reject attempts to sync VMSA of an already-launched/encrypted
      vCPU
    - KVM: SEV: Protect *all* of sev_mem_enc_register_region() with kvm->lock
    - KVM: SEV: Disallow LAUNCH_FINISH if vCPUs are actively being created
    - KVM: SEV: Lock all vCPUs when synchronzing VMSAs for SNP launch finish
    - KVM: SEV: Drop WARN on large size for KVM_MEMORY_ENCRYPT_REG_REGION
    - mm: call ->free_folio() directly in folio_unmap_invalidate()
    - checkpatch: add support for Assisted-by tag
    - x86-64: rename misleadingly named '__copy_user_nocache()' function
    - x86: rename and clean up __copy_from_user_inatomic_nocache()
    - x86-64/arm64/powerpc: clean up and rename __copy_from_user_flushcache
    - KVM: x86: Use scratch field in MMIO fragment to hold small write values
    - ASoC: qcom: q6apm: move component registration to unmanaged version
    - mm/kasan: fix double free for kasan pXds
    - mm: blk-cgroup: fix use-after-free in cgwb_release_workfn()
    - media: vidtv: fix nfeeds state corruption on start_streaming failure
    - media: mediatek: vcodec: fix use-after-free in encoder release path
    - media: em28xx: fix use-after-free in em28xx_v4l2_open()
    - hwmon: (powerz) Fix use-after-free on USB disconnect
    - ALSA: 6fire: fix use-after-free on disconnect
    - bcache: fix cached_dev.sb_bio use-after-free and crash
    - wireguard: device: use exit_rtnl callback instead of manual rtnl_lock in
      pre_exit
    - media: as102: fix to not free memory after the device is registered in
      as102_usb_probe()
    - nilfs2: fix NULL i_assoc_inode dereference in
      nilfs_mdt_save_to_shadow_map
    - media: vidtv: fix pass-by-value structs causing MSAN warnings
    - media: hackrf: fix to not free memory after the device is registered in
      hackrf_probe()
    - mm/userfaultfd: fix hugetlb fault mutex hash calculation
    - clockevents: Add missing resets of the next_event_forced flag
    - Linux 7.0.1
  * GRO managed-frag use-after-free leading to local privilege escalation
    (LP: #2154172)
    - net: gro: don't merge zcopy skbs
  * AppArmor Vulnerabilities  (LP: #2151747)
    - SAUCE: apparmor: pass big_resp to handler
    - SAUCE: apparmor: remove redundant kref_init for listener->count
    - SAUCE: apparmor: fix NULL pointer dereference in unpack_pdb
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47337
    - SAUCE: apparmor: fix NULL pointer dereference in bind_map_addr
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47334
    - SAUCE: apparmor: fix sleep prone memory allocation under a spin_lock
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47333
    - SAUCE: apparmor: fix dfa unpacking size of the notification filter
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47332
    - SAUCE: apparmor: fix size check against type instead of pointer
  * apparmor: LLVM/clang build failure due to uninitialized variable in
    notify.c (LP: #2148809) // CVE-2026-47330
    - SAUCE: apparmor: initialize variable used in uninitialized context
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47329
    - SAUCE: apparmor: fix name validation bypass on notification
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47327 //
    CVE-2026-47328
    - SAUCE: apparmor: fix glob memory leak after kstrdup
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47326
    - SAUCE: apparmor: fix inverted NULL check after aa_get_buffer
  * CVE-2026-46300
    - net: skbuff: preserve shared-frag marker during coalescing
    - net: skbuff: propagate shared-frag marker through frag-transfer helpers
  * net/rds: reset op_nents when zerocopy page pin fails (LP: #2153962)
    - net/rds: reset op_nents when zerocopy page pin fails
  * CVE-2026-46333
    - ptrace: slightly saner 'get_dumpable()' logic
  * CVE-2026-43500
    - rxrpc: Fix conn-level packet handling to unshare RESPONSE packets
    - rxrpc: Fix potential UAF after skb_unshare() failure
    - rxrpc: Fix rxrpc_input_call_event() to only unshare DATA packets
    - rxrpc: Also unshare DATA/RESPONSE packets when paged frags are present
  * CVE-2026-43284
    - xfrm: esp: avoid in-place decrypt on shared skb frags

  [ Ubuntu: 7.0.0-15.15 ]

  * resolute/linux: 7.0.0-15.15 -proposed tracker (LP: #2148866)
  * Qualcomm X1E: Speaker overdrive causes hardware protection shutdown
    (LP: #2149808)
    - SAUCE: ASoC: qcom: x1e80100: limit speaker volumes
  * intel-ipu7 / intel-ipu7-isys modules are shipped unsigned in latest
    Resolute kernels, breaking Secure Boot systems  (LP: #2148718)
    - [packaging] add intel-ipu7 to signature inclusion list

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 18 Jun 2026 18:23:46 -0500

linux-nvidia (7.0.0-1006.6) resolute; urgency=medium

  * resolute/linux-nvidia: 7.0.0-1006.6 -proposed tracker (LP: #2148214)

  [ Ubuntu: 7.0.0-14.14 ]

  * resolute/linux: 7.0.0-14.14 -proposed tracker (LP: #2148159)
  * support vflip/hflip for Sony IMX471 camera sensor (LP: #2138841)
    - SAUCE: media: ipu-bridge: add TBE20A0 ACPI id for Sony IMX471
  * AA: disable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED (LP: #2147533)
    - [Config] disable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
  * System doesn't response with mt76 call trace (LP: #2137448)
    - wifi: mt76: mt792x: Fix a potential deadlock in high-load situations
  * The second tbt storage plugged on the dock will not be recognized
    (LP: #2139572)
    - SAUCE: thunderbolt: Fix PCIe device enumeration with delayed rescan
  * dma-buf filesystem flags fix (LP: #2139656)
    - SAUCE: dma-buf: set SB_I_NOEXEC and SB_I_NODEV on dmabuf filesystem
  * Bluetooth device (MT7925) not detected on USB bus with linux-oem-6.17
    (LP: #2145164)
    - SAUCE: USB: hub: call ACPI _PRR reset during port power-cycle on
      enumeration failure
  * drm/i915/lnl+/tc: Fix false disconnect of active DP-alt TC port during
    long HPD pulse (LP: #2143879)
    - SAUCE: drm/i915/lnl+/tc: Fix false disconnect of active DP-alt TC port
      during long HPD pulse
  * i915 WARN_ON call trace during CB/WB on MTL/ARL platforms (LP: #2144537)
    - SAUCE: drm/i915/xelpdp/tc: Convert TCSS power check WARN to a debug
      message
  * Miscellaneous Ubuntu changes
    - [Packaging] Add support for per-flavour depends
    - [Packaging] Don't hard-code lmm zfs dependency
    - [Config] updateconfigs following v7.0 release

  [ Ubuntu: 7.0.0-13.13 ]

  * resolute/linux: 7.0.0-13.13 -proposed tracker (LP: #2147403)
  * ubuntu_kselftests:_net/net:gre_gso.sh failing (LP: #2136820)
    - SAUCE increase socat timeout in gre_gso.sh
  * Canonical Kmod 2025 key rotation (LP: #2147447)
    - [Packaging] ubuntu-compatible-signing -- make Ubuntu-Compatible-Signing
      extensible
    - [Packaging] ubuntu-compatible-signing -- allow consumption of positive
      certs
    - [Packaging] ubuntu-compatible-signing -- report the livepatch:2025 key
    - [Config] prepare for Canonical Kmod key rotation
    - [Packaging] ubuntu-compatible-signing -- report the kmod:2025 key
    - [Packaging] ensure our cert rollups are always fresh
  * On Dell system, the internal OLED display drops to a visibly low FPS after
    suspend/resume (LP: #2144712)
    - drm/i915/psr: Disable Panel Replay on Dell XPS 14 DA14260 as a quirk
    - drm/i915/psr: Fixes for Dell XPS DA14260 quirk
  * Realtek RTL8116AF SFP option module fails to get connected (LP: #2116144)
    - SAUCE: r8169: add quirk for RTL8116af SerDes
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v7.0-rc7 rebase

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 14 Apr 2026 16:19:48 -0500

linux-nvidia (7.0.0-1005.5) resolute; urgency=medium

  * resolute/linux-nvidia: 7.0.0-1005.5 -proposed tracker (LP: #2145971)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

  * Please make dracut the default initrd generator (LP: #2142775)
    - [Packaging] recommends dracut instead of initramfs-tools

  [ Ubuntu: 7.0.0-12.12 ]

  * resolute/linux: 7.0.0-12.12 -proposed tracker (LP: #2146778)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
  * linux-generic does not run scripts in /usr/share/kernel/*.d (LP: #2147005)
    - [Packaging] templates: Use consistent indentation
    - [Packaging] templates: Run scripts in /usr/share/kernel/*.d too
  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
    - [Config] riscv64: Enable COUNTER=m
    - [Config] riscv64: Use GENDWARFKSYMS like other architectures
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * FFe: add network interface mediation to 26.04 (LP: #2144679)
    - SAUCE: apparmor5.0.0 [57/57]: apparmor: add the ability to use interface
      in network mediation.
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/57]: apparmor: fix fine grained inet mediation
      sock_file_perm
    - SAUCE: apparmor5.0.0 [30/57]: apparmor-next 7.1: aapparmor: use target
      task's context in apparmor_getprocattr()
    - SAUCE: apparmor5.0.0 [31/57]: apparmor-next 7.1: apparmor: return error
      on namespace mismatch in verify_header
    - SAUCE: apparmor5.0.0 [32/57]: apparmor-next 7.1: apparmor: enable
      differential encoding
    - SAUCE: apparmor5.0.0 [33/57]: apparmor-next 7.1: apparmor: propagate
      -ENOMEM correctly in unpack_table
    - SAUCE: apparmor5.0.0 [34/57]: apparmor-next 7.1: apparmor: Replace
      memcpy + NUL termination with kmemdup_nul in do_setattr
    - SAUCE: apparmor5.0.0 [35/57]: apparmor-next 7.1: apparmor: Remove
      redundant if check in sk_peer_get_label
    - SAUCE: apparmor5.0.0 [36/57]: apparmor-next 7.1: apparmor: use
      __label_make_stale in __aa_proxy_redirect
    - SAUCE: apparmor5.0.0 [37/57]: apparmor-next 7.1: apparmor: fix net.h and
      policy.h circular include pattern
    - SAUCE: apparmor5.0.0 [39/57]: apparmor-next 7.1: apparmor: make include
      headers self-contained
    - SAUCE: apparmor5.0.0 [40/57]: apparmor-next 7.1: apparmor: Use
      sysfs_emit in param_get_{audit,mode}
    - SAUCE: apparmor5.0.0 [41/57]: apparmor-next 7.1: apparmor: fix
      rawdata_f_data implicit flex array
    - SAUCE: apparmor5.0.0 [42/57]: apparmor-next 7.1: apparmor: free rawdata
      as soon as possible
    - SAUCE: apparmor5.0.0 [43/57]: apparmor-next 7.1: apparmor: Initial
      support for compressed policies
    - SAUCE: apparmor5.0.0 [44/57]: apparmor-next 7.1: apparmor: fix potential
      UAF in aa_replace_profiles
    - SAUCE: apparmor5.0.0 [45/57]: apparmor-next 7.1: apparmor: hide unused
      get_loaddata_common_ref() function
    - SAUCE: apparmor5.0.0 [46/57]: apparmor-next 7.1: apparmor: Fix string
      overrun due to missing termination
    - SAUCE: apparmor5.0.0 [47/57]: apparmor: fix packed tag on v5 header
      struct
    - SAUCE: apparmor5.0.0 [48/57]: apparmor: add temporal caching to audit
      responses.
    - SAUCE: apparmor5.0.0 [49/57]: apparmor: change fn_label_build() call to
      not return NULL
    - SAUCE: apparmor5.0.0 [50/57]: apparmor: make fn_label_build() capable of
      handling not supported
    - SAUCE: apparmor5.0.0 [51/57]: apparmor: move netfilter functions next to
      the LSM network operations
    - SAUCE: apparmor5.0.0 [52/57]: apparmor: move sock_rvc_skb() next to
      inet_conn_request
    - SAUCE: apparmor5.0.0 [53/57]: apparmor: fix af_unix local addr mediation
      binding
    - SAUCE: apparmor5.0.0 [54/57]: cleanups of apparmor af_unix mediation
    - SAUCE: apparmor5.0.0 [55/57]: apparmor: fix apparmor_secmark_check()
      when !inet and secmark defined.
    - SAUCE: apparmor5.0.0 [56/57]: apparmor: fix auditing of non-mediation
      falures
  * snap service cannot change apparmor hat (LP: #2139664) // Jellyfin Desktop
    Flatpak doesn't work with the current AppArmor profile (LP: #2142956)
    - SAUCE: apparmor5.0.0 [38/57]: apparmor-next 7.1: apparmor: grab ns lock
      and refresh when looking up changehat child profiles
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/57]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/57]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/57]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/57]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/57]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/57]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/57]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/57]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/57]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/57]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/57]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/57]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/57]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/57]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/57]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/57]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/57]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/57]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/57]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/57]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/57]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/57]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/57]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/57]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/57]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/57]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/57]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/57]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * Enable new Intel WCL soundwire support (LP: #2143301)
    - ASoC: sdw_utils: Add CS42L43B codec info
    - ASoC: dt-bindings: cirrus, cs42l43: Add CS42L43B variant
    - mfd: cs42l43: Add support for the B variant
    - ASoC: cs42l43: Add support for the B variant
  * Enable audio functions on Dell Huracan/Renegade platforms w/o built-in
    microphone (LP: #2143902)
    - ASoC: SDCA: Add default value for mipi-sdca-function-reset-max-delay
    - ASoC: SDCA: Update counting of SU/GE DAPM routes
    - ASoC: SDCA: Improve mapping of Q7.8 SDCA volumes
    - ASoC: SDCA: Pull the Q7.8 volume helpers out of soc-ops
    - ASoC: add snd_soc_lookup_component_by_name helper
    - ASoC: soc_sdw_utils: partial match the codec name
    - ASoC: soc_sdw_utils: remove index from sdca codec name
  * [SRU] MIPI camera is not working after upgrading to 6.17-oem
    (LP: #2145171)
    - SAUCE: ACPI: respect items already in honor_dep before skipping
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Actually enable llvm for perf
  * Pull patch in qla2xxx to Resolute  (LP: #2144856)
    - scsi: qla2xxx: Add support to report MPI FW state
  * Ubuntu Resolute Desktop image arm64 - Boot on SC8280XP stalls with gpi-dma
    errors (LP: #2142403)
    - Revert "arm64: dts: qcom: sc8280xp: Enable GPI DMA"
  * 26.04 Snapdragon X Elite: Sync concept kernel changes  (LP: #2144643)
    - SAUCE: arm64: dts: add missing denali-oled.dtb to Makefile
    - SAUCE: dt-bindings: phy: qcom: Add CSI2 C-PHY/DPHY schema
    - SAUCE: phy: qcom-mipi-csi2: Add a CSI2 MIPI DPHY driver
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add simple-mfd
      compatible
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add optional PHY handle
      definitions
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add support for combo-
      mode endpoints
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Describe iommu entries
    - SAUCE: media: qcom: camss: Add legacy_phy flag to SoC definition
      structures
    - SAUCE: media: qcom: camss: Add support for PHY API devices
    - SAUCE: media: qcom: camss: Drop legacy PHY descriptions from x1e
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMCC block definition
    - SAUCE: arm64: dts: qcom: x1e80100: Add CCI definitions
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMSS block definition
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add pm8010 CRD pmic,id=m
      regulators
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add ov08x40 RGB sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add pm8010 camera PMIC with
      voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add on ov02c10 RGB sensor on
      CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add pm8010 camera
      PMIC with voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add l7b_2p8
      voltage regulator for RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add ov02c10 RGB
      sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-inspiron14-7441: Switch on CAMSS
      RGB sensor
    - SAUCE: arm64: dts: qcom: x1-asus-zenbook-a14: Add on OV02C10 RGB sensor
      on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: add camera support
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: enable camera privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: enable camera
      privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: enable camera privacy
      indicator
    - SAUCE: dt-bindings: arm: qcom: Add ASUS Vivobook X1P42100 variant
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: create a common dtsi for Hamoa
      and Purwa variants
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: add Purwa-compatible device
      tree
    - SAUCE: firmware: qcom: scm: allow QSEECOM on ASUS Vivobook X1P42100
      variant
    - SAUCE: arm64: dts: qcom: hamoa: Move PCIe PERST and Wake GPIOs to port
      nodes
    - SAUCE: arm64: dts: qcom: x1e-acer-swift-14: Move PCIe PERST and Wake
      GPIOs to port nodes
  * 25.10 Snapdragon X Elite: Sync concept kernel changes (LP: #2121477)
    - SAUCE: wip: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
  * Miscellaneous Ubuntu changes
    - SAUCE: dt-bindings: arm: qcom: Document HP EliteBook 6 G1q
    - SAUCE: firmware: qcom: scm: Allow QSEECOM for HP EliteBook 6 G1q
    - SAUCE: arm64: dts: qcom: x1p42100-hp-elitebook-6-g1q: DT for HP
      EliteBook 6 G1q
    - [Config] PHY_QCOM_MIPI_CSI2=m
    - SAUCE: arm64: dts: x1e80100-lenovo-yoga-slim7x: Fix RGB camera supplies
    - [Config] toolchain version update
    - Update Changes.md after v7.0-rc5 rebase
    - [Packaging] update Ubuntu.md
    - [Config] enable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
    - [Packaging] Add linux-main-modules-zfs to linux-modules depends
  * Miscellaneous upstream changes
    - Revert "UBUNTU: SAUCE: Add Bluetooth support for the Lenovo Yoga Slim
      7x"

  [ Ubuntu: 7.0.0-10.10 ]

  * resolute/linux: 7.0.0-10.10 -proposed tracker (LP: #2144865)
  * Miscellaneous upstream changes
    - Revert "powerpc: fix KUAP warning in VMX usercopy path"

  [ Ubuntu: 7.0.0-9.9 ]

  * resolute/linux: 7.0.0-9.9 -proposed tracker (LP: #2144735)
  * Please make dracut the default initrd generator (LP: #2142775)
    - [Packaging] recommends dracut instead of initramfs-tools
  * Miscellaneous Ubuntu changes
    - SAUCE: Change RISC-V target to RVA23 (riscv64a23-unknown-linux-gnu)

  [ Ubuntu: 7.0.0-8.8 ]

  * resolute/linux: 7.0.0-8.8 -proposed tracker (LP: #2144652)
  * UBUNTU: SAUCE: igc: Increase Thunderbolt MAC passthrough delay to 1000ms
    (LP: #2143197)
    - SAUCE: igc: Increase Thunderbolt MAC passthrough delay to 1000ms
  * [usrmerge] evaluate kernel owned packages for DEP17 compliance
    (LP: #2139276)
    - [Packaging] Install modules in /usr/lib/modules
  * Miscellaneous Ubuntu changes
    - [Config] hardening: enable LIST_HARDENED
    - [Config] hardening: disable LDISC_AUTOLOAD
    - [Config] hardening: disable LEGACY_PTYS
    - [Config] updateconfigs following v7.0-rc4 rebase

  [ Ubuntu: 7.0.0-7.7 ]

  * resolute/linux: 7.0.0-7.7 -proposed tracker (LP: #2143974)
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/29]: apparmor: fix fine grained inet mediation
      sock_file_perm
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/29]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/29]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/29]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/29]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/29]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/29]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/29]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/29]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/29]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/29]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/29]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/29]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/29]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/29]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/29]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/29]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/29]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/29]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/29]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/29]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/29]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/29]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/29]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/29]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/29]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/29]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/29]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/29]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * NPU utilization on amdxdna is missing (LP: #2143243)
    - SAUCE: accel/amdxdna: Add IOCTL to retrieve realtime NPU power estimate
    - SAUCE: accel/amdxdna: Support sensors for column utilization
    - SAUCE: accel/amdxdna: Import AMD_PMF namespace
  * Adopting dark mode by default for OLED panel (LP: #2143203)
    - SAUCE: drm/connector: Add a new 'panel_type' property
    - SAUCE: drm/amd/display: Attach OLED property to eDP panels
  * Support AMD Image Signal Processing (ISP) unit V4.0 (LP: #2110092)
    - SAUCE: media: platform: amd: Introduce amd isp4 capture driver
    - SAUCE: media: platform: amd: low level support for isp4 firmware
    - SAUCE: media: platform: amd: Add isp4 fw and hw interface
    - SAUCE: media: platform: amd: isp4 subdev and firmware loading handling
      added
    - SAUCE: media: platform: amd: isp4 video node and buffers handling added
    - SAUCE: Documentation: add documentation of AMD isp 4 driver
    - SAUCE: media: platform: amd: isp4 debug fs logging and more descriptive
      errors
    - [Config] Enable VIDEO_AMD_ISP4_CAPTURE
  * Miscellaneous Ubuntu changes
    - [Config] temporarily disable OBJTOOL_WERROR

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 02 Apr 2026 10:48:01 -0500

linux-nvidia (7.0.0-1003.3) resolute; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.nvidia/dkms-versions -- update from kernel-versions
      (adhoc/d2026.02.16)

  * Backport NVIDIA: SAUCE: vfio/nvgrace-egm: split zapping EGM into 1GB
    chunks (LP: #2142160)
    - NVIDIA: SAUCE: vfio/nvgrace-egm: split zapping EGM into 1GB chunks

  * r8127 module unload triggers NAPI WARN in netif_napi_del_locked()
    (LP: #2141780)
    - NVIDIA: SAUCE: r8127: fix NAPI warning on module removal

  * Enable Coresight in Perf (LP: #2093957)
    - [Packaging] Enable coresight in Perf if arm64
    - [Packaging] Add libopencsd-dev as a build dependency

  * Backport nvgrace-gpu hugepfnmap, ecc patches and miscellaneous cleanups
    (LP: #2138892)
    - NVIDIA: SAUCE: vfio/nvgrace-egm: register EGM PFNMAP range with
      memory_failure
    - NVIDIA: SAUCE: vfio: Remove vfio_device_from_file() declaration

  * missing prototype for vfio_device_from_file()  (LP: #2138132)
    - NVIDIA: SAUCE: vfio: Fix missing prototype warning

  * r8127: Downgrade GPL claim to info (LP: #2137588)
    - NVIDIA: SAUCE: r8127: print GPL_CLAIM with KERN_INFO

  * mt7925: Incorrect MLO mode in firmware control (LP: #2138755)
    - NVIDIA: SAUCE: wifi: mt76: mt7925: Fix incorrect MLO mode in firmware
      control

  * Enable GDS in the 6.8 based linux-nvidia kernel (LP: #2059814)
    - NVIDIA: [Packaging] Add nvidia-fs build dependencies

  * Add PCIe Hotplug Driver for CX7 on DGX Spark (LP: #2138269)
    - NVIDIA: SAUCE: MEDIATEK: platform: Add PCIe Hotplug Driver for CX7 on
      DGX Spark

  * Backport support for Grace MPAM (LP: #2122432)
    - NVIDIA: SAUCE: DT: cacheinfo: Expose the code to generate a cache-id
      from a device_node
    - NVIDIA: SAUCE: DT: dt-bindings: arm: Add MPAM MSC binding
    - NVIDIA: SAUCE: arm64: mpam: Context switch the MPAM registers
    - NVIDIA: SAUCE: arm64: mpam: Re-initialise MPAM regs when CPU comes
      online
    - NVIDIA: SAUCE: arm64: mpam: Advertise the CPUs MPAM limits to the driver
    - NVIDIA: SAUCE: arm64: mpam: Add cpu_pm notifier to restore MPAM sysregs
    - NVIDIA: SAUCE: arm64: mpam: Add helpers to change a tasks and cpu mpam
      partid/pmg values
    - NVIDIA: SAUCE: cacheinfo: Add helper to find the cache size from
      cpu+level
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add boilerplate cpuhp and domain
      allocation
    - NVIDIA: SAUCE: arm_mpam: resctrl: Pick the caches we will use as resctrl
      resources
    - NVIDIA: SAUCE: arm_mpam: resctrl: Implement
      resctrl_arch_reset_all_ctrls()
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add resctrl_arch_get_config()
    - NVIDIA: SAUCE: arm_mpam: resctrl: Implement helpers to update
      configuration
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add plumbing against arm64 task and
      cpu hooks
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add CDP emulation
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add rmid index helpers
    - NVIDIA: SAUCE: arm_mpam: resctrl: Convert to/from MPAMs bitmaps and
      fixed-point formats
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add support for 'MB' resource
    - NVIDIA: SAUCE: arm_mpam: resctrl: Reject oversized memory bandwidth
      portion bitmaps
    - NVIDIA: SAUCE: arm_mpam: resctrl: Fix MB min_bandwidth value exposed to
      userspace
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add kunit test for control format
      conversions
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add support for csu counters
    - NVIDIA: SAUCE: arm_mpam: resctrl: Pre-allocate free running monitors
    - NVIDIA: SAUCE: arm_mpam: resctrl: Pre-allocate assignable monitors
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add kunit test for ABMC/CDP
      interactions
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add resctrl_arch_config_cntr() for
      ABMC use
    - NVIDIA: SAUCE: arm_mpam: resctrl: Allow resctrl to allocate monitors
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add resctrl_arch_rmid_read() and
      resctrl_arch_reset_rmid()
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add resctrl_arch_cntr_read() &
      resctrl_arch_reset_cntr()
    - NVIDIA: SAUCE: untested: arm_mpam: resctrl: Allow monitors to be
      configured with filters
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add empty definitions for fine-grained
      enables
    - NVIDIA: SAUCE: arm64: mpam: Select ARCH_HAS_CPU_RESCTRL
    - NVIDIA: SAUCE: fs/resctrl: Don't touch rmid_ptrs[] in free_rmid() when
      there are no monitors
    - NVIDIA: SAUCE: fs/resctrl: Avoid a race with dom_data_exit() and
      closid_num_dirty_rmid[]
    - NVIDIA: SAUCE: fs/resctrl: Avoid a race with dom_data_exit() and
      rmid_ptrs[]
    - NVIDIA: SAUCE: perf/arm-cmn: Stop claiming all the resources
    - NVIDIA: SAUCE: arm_mpam: resctrl: Call resctrl_init() on platforms that
      can support resctrl
    - NVIDIA: SAUCE: arm_mpam: resctrl: Call resctrl_exit() in the event of
      errors
    - NVIDIA: SAUCE: arm_mpam: resctrl: Update the rmid reallocation limit
    - NVIDIA: SAUCE: arm_mpam: resctrl: Sort the order of the domain lists
    - NVIDIA: SAUCE: arm_mpam: Generate a configuration for min controls
    - NVIDIA: SAUCE: arm_mpam: Add quirk framework
    - NVIDIA: SAUCE: arm_mpam: Add workaround for T241-MPAM-1
    - NVIDIA: SAUCE: arm_mpam: Add workaround for T241-MPAM-4
    - NVIDIA: SAUCE: arm_mpam: Add workaround for T241-MPAM-6
    - NVIDIA: SAUCE: arm_mpam: Quirk CMN-650's CSU NRDY behaviour
    - NVIDIA: SAUCE: debugfs: Add helpers for creating cpumask entries in
      debugfs
    - NVIDIA: SAUCE: arm_mpam: Add debugfs entries to show the MSC/RIS the
      driver discovered
    - NVIDIA: SAUCE: arm_mpam: Add force-disable debugfs trigger
    - NVIDIA: SAUCE: arm_mpam: Expose the number of NRDY retries in debugfs
    - NVIDIA: SAUCE: arm_mpam: Add resctrl_arch_round_bw()
    - NVIDIA: SAUCE: fs/resctrl,x86/resctrl: Factor mba rounding to be per-
      arch
    - NVIDIA: SAUCE: arm_mpam: Relax num_rmids parameter advertised to
      userspace
    - NVIDIA: SAUCE: arm_mpam: Split the locking around the mon_sel registers
    - NVIDIA: SAUCE: arm_mpam: Allow the maximum partid to be overridden from
      the command line
    - NVIDIA: SAUCE: arm_mpam: Allow MSC to be forced to have an unknown
      location
    - NVIDIA: SAUCE: fs/resctrl: Add this_is_not_abi mount option
    - NVIDIA: SAUCE: iommu/arm-smmu-v3: Register SMMU capabilities with MPAM
    - NVIDIA: SAUCE: iommu/arm-smmu-v3: Add mpam helpers to query and set
      state
    - NVIDIA: SAUCE: iommu: Add helpers to get and set the QoS state
    - NVIDIA: SAUCE: iommu: Add helpers to retrieve iommu_groups by id or
      kobject
    - NVIDIA: SAUCE: iommu: Add helper to retrieve iommu kset
    - NVIDIA: SAUCE: kobject: Add kset_get_next_obj() to allow a kset to be
      walked
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add iommu helpers to get/set the
      partid and pmg
    - NVIDIA: SAUCE: fs/resctrl: Add support for assigning iommu_groups to
      resctrl groups
    - NVIDIA: SAUCE: firmware: arm_scmi: add MPAM-FB SCMI protocol stub
    - NVIDIA: SAUCE: arm_mpam: add MPAM-FB MSC firmware access support
    - NVIDIA: SAUCE: arm_mpam: Allow duplicate PCC subspace_ids
    - NVIDIA: SAUCE: untested: mpam: Convert pcc_channels list to XArray and
      cleanup
    - NVIDIA: SAUCE: x86/resctrl: Add stub to allow other architecture to
      disable monitor overflow
    - NVIDIA: SAUCE: arm_mpam: resctrl: Determine if any exposed counter can
      overflow
    - NVIDIA: SAUCE: fs/restrl: Allow the overflow handler to be disabled
    - NVIDIA: SAUCE: fs/resctrl: Uniform data type of
      component_id/domid/id/cache_id
    - NVIDIA: SAUCE: arm_mpam: Allow cmax/cmin to be configured
    - NVIDIA: SAUCE: arm_mpam: Rename mbw conversion to 'fract16' for code re-
      use
    - NVIDIA: SAUCE: fs/resctrl: Group all the MBA specific properties in a
      separate struct
    - NVIDIA: SAUCE: fs/resctrl: Abstract duplicate domain test to a helper
    - NVIDIA: SAUCE: fs/resctrl: Move MBA supported check to parse_line()
      instead of parse_bw()
    - NVIDIA: SAUCE: fs/resctrl: Rename resctrl_get_default_ctrl() to include
      resource
    - NVIDIA: SAUCE: fs/resctrl: Add a schema format to the schema, allowing
      it to be different
    - NVIDIA: SAUCE: fs/resctrl: Use schema format to check the resource is a
      bitmap
    - NVIDIA: SAUCE: fs/resctrl: Add specific schema types for 'range'
    - NVIDIA: SAUCE: x86/resctrl: Move over to specifying MBA control formats
    - NVIDIA: SAUCE: arm_mpam: resctrl: Convert MB resource to use percentage
    - NVIDIA: SAUCE: fs/resctrl: Remove 'range' schema format
    - NVIDIA: SAUCE: fs/resctrl: Add additional files for percentage and
      bitmap controls
    - NVIDIA: SAUCE: fs/resctrl: Add fflags_from_schema() for files based on
      schema format
    - NVIDIA: SAUCE: fs/resctrl: Expose the schema format to user-space
    - NVIDIA: SAUCE: fs/resctrl: Add L2 and L3 'MAX' resource schema
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add the glue code to convert to/from
      cmax
    - NVIDIA: SAUCE: mm,memory_hotplug: Add lockdep assertion helper
    - NVIDIA: SAUCE: fs/resctrl: Take memory hotplug lock whenever taking CPU
      hotplug lock
    - NVIDIA: SAUCE: fs/resctrl: Add mount option for mb_uses_numa_nid and
      arch stubs
    - NVIDIA: SAUCE: Fix unused variable warning
    - NVIDIA: SAUCE: arm_mpam: resctrl: Pick whether MB can use NUMA nid
      instead of cache-id
    - NVIDIA: SAUCE: arm_mpam: resctrl: Change domain_hdr online/offline to
      work with a set of CPUs
    - NVIDIA: SAUCE: untested: arm_mpam: resctrl: Split
      mpam_resctrl_alloc_domain() to have CPU and node
    - NVIDIA: SAUCE: arm_mpam: resctrl: Add NUMA node notifier for domain
      online/offline
    - NVIDIA: SAUCE: untested: arm_mpam: resctrl: Allow resctrl to enable NUMA
      nid as MB domain-id
    - NVIDIA: SAUCE: [Config] RESCTRL configs added to annotations
    - NVIDIA: SAUCE: arm_mpam: Fix missing SHIFT definitions
    - NVIDIA: SAUCE: arm_mpam: resctrl: Fix MPAM kunit
    - NVIDIA: SAUCE: resctrl/mpam: Align packed mpam_props to fix arm64 KUnit
      alignment fault
    - NVIDIA: SAUCE: resctrl/tests: mpam_devices: compare only meaningful
      bytes of mpam_props

  * r8127: fix for LTS test panic (LP: #2134991)
    - NVIDIA: SAUCE: r8127: Remove registers2 proc entry

  * Add two more Spark iGPU IDs for the existing iommu quirk (LP: #2132033)
    - NVIDIA: SAUCE: iommu/arm-smmu-v3: Add two more DGX Spark iGPU IDs for
      existing iommu quirk

  * Pull CPPC mailing list patches for Spark (LP: #2131705)
    - NVIDIA: SAUCE: ACPI: CPPC: Add cppc_get_perf() API to read performance
      controls
    - NVIDIA: SAUCE: ACPI: CPPC: extend APIs to support auto_sel and epp
    - NVIDIA: SAUCE: ACPI: CPPC: add APIs and sysfs interface for min/max_perf
    - NVIDIA: SAUCE: ACPI: CPPC: add APIs and sysfs interface for perf_limited
      register
    - NVIDIA: SAUCE: cpufreq: CPPC: Add sysfs for min/max_perf and
      perf_limited
    - NVIDIA: SAUCE: cpufreq: CPPC: update policy min/max when toggling
      auto_select
    - NVIDIA: SAUCE: cpufreq: CPPC: add autonomous mode boot parameter support

  * r8127: fix kernel panic when dump all registers (LP: #2130445)
    - NVIDIA: SAUCE: r8127: fix a kernel panic when dump all registers
    - NVIDIA: SAUCE: r8127: add support for RTL8127 cable diagnostic test

  * Set CONFIG_IOMMU_DEFAULT_PASSTHROUGH as default for Nvidia CPUs
    (LP: #2129776)
    - NVIDIA: SAUCE: iommu/arm-smmu-v3: Set DGX Spark iGPU default domain type
      to DMA
    - [Config] nvidia: Update annotations to set
      CONFIG_IOMMU_DEFAULT_PASSTHROUGH

  * mt7925: Introduce CSA support in non-MLO mode (LP: #2129209)
    - NVIDIA: SAUCE: wifi: mt76: mt7925: introduce CSA support in non-MLO mode

  * IOMMU: Support contiguous bit in translation tables (LP: #2112600)
    - NVIDIA: SAUCE: iommu/io-pgtable-arm: backport contiguous bit support

  * NVIDIA: SAUCE: MEDIATEK: usb: host: xhci-hub: fix MT89xx SoCs return
    PORTLI value (LP: #2125126)
    - NVIDIA: SAUCE: MEDIATEK: usb: host: xhci-hub: fix MT89xx SoCs return
      PORTLI value

  * NVIDIA: SAUCE: ffa notification count initialization fix (LP: #2123861)
    - NVIDIA: SAUCE: Fix FFA notification count initialization

  * Pull-request for setting CPU frequency gov to performance (LP: #2028576)
    - [Config] nvidia: Use performance CPU frequency governor on amd64

  * Set CONFIG_IOMMU_DEFAULT_DMA_LAZY as default for Nvidia CPUs
    (LP: #2119661)
    - [Config] nvidia: Update annotations to set CONFIG_IOMMU_DEFAULT_DMA_LAZY

  * Backport support for Grace virtualization features: vEVENTQ, HW QUEUE, and
    vEGM (LP: #2119656)
    - NVIDIA: SAUCE: arm64: configs: Build NVGRACE_GPU_VFIO_PCI as LKM
    - NVIDIA: SAUCE: arm64: configs: Enable IOMMUFD and VFIO_DEVICE_CDEV
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Introduce module to manage EGM
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Handle pages with ECC errors on the EGM
    - NVIDIA: SAUCE: arm64: configs: Build CONFIG_NVGRACE_EGM as LKM
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Move the egm header file to include
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Free region memory during
      unregistration
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Move region hash initialization
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Handle and convey EGM registration
      errors
    - NVIDIA: SAUCE: vfio/nvgrace-gpu: Handle EGM registration failure
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Address sparse errors
    - NVIDIA: SAUCE: vfio/nvgrace-gpu: Address smatch errors
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Ensure ACPI value reads are successful
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Avoid invalid retired pages base
    - NVIDIA: SAUCE: vfio/nvgrace-egm: Update EGM unregistration API
    - NVIDIA: SAUCE: vfio/nvgrace-egm: track GPUs associated with the EGM
      regions
    - NVIDIA: SAUCE: vfio/nvgrace-egm: list gpus through sysfs
    - NVIDIA: SAUCE: vfio/nvgrace-egm: expose the egm size through sysfs
    - NVIDIA: SAUCE: arm64: configs: enable NVGRACE_EGM as module

  * Backport support for arm64 BRBE and a future NVIDIA CPU ID (LP: #2118663)
    - [Config] nvidia: Enable BRBE

  * nvidia-ffa-ec: Fix FFH data response length (LP: #2118357)
    - NVIDIA: SAUCE: Fix FFH data response length

  * Add pincontrol driver for MT8901 chip (LP: #2117784)
    - NVIDIA: SAUCE: MEDIATEK: pinctrl: mediatek: Add gpio-range record in
      pinctrl driver
    - NVIDIA: SAUCE: MEDIATEK: pinctrl: mediatek: Add acpi support
    - NVIDIA: SAUCE: MEDIATEK: pinctrl: mt8901: Add pinctrl driver
    - [Config] nvidia: Update annotations to enable CONFIG_PINCTRL_MT8901

  * NVIDIA: SAUCE: Add FFA and EC Secure Service Driver to -nvidia kernel
    (LP: #2114230)
    - NVIDIA: SAUCE: Add support for custom ARM FFH offset handler
    - NVIDIA: SAUCE: Add nvidia ffa driver for EC communication
    - NVIDIA: SAUCE: Add ffa driver for each secure EC service
    - NVIDIA: SAUCE: Add support for EC secure service communication
    - NVIDIA: SAUCE: Rescan acpi devices that uses secure EC communication
    - NVIDIA: SAUCE: irqchip/gic-v3: Allow unused SGIs for drivers/modules
    - NVIDIA: SAUCE: Add support for notifications from secure EC services
    - [Config] nvidia: Update annotations to enable NVIDIA FFA EC driver

  * Backport: TPM Service Command Response Buffer Interface Over FF-A
    (LP: #2111511)
    - [Config] nvidia-6.14: Update annotations to enable TPM over FFA

  * Backport: ALSA: hda - Add new driver for HDA controllers listed via ACPI
    (LP: #2111447)
    - NVIDIA: SAUCE: [Config] nvidia: CONFIG_SND_HDA_ACPI=m on arm64

  * Pull request to enable GPU passthrough for CUDA (LP: #2095028)
    - NVIDIA: SAUCE: WAR: iommufd/pages: Bypass PFNMAP
    - NVIDIA: SAUCE: [Config] nvidia: Update annotations for Grace I/O
      virtualization
    - [Config] nvidia-6.14: Drop CONFIG_TEGRA241_CMDQV from annotations

  * Add Realtek r8127 ethernet driver (LP: #2109730)
    - NVIDIA: SAUCE: r8127: Add Realtek r8127 ethernet driver
    - NVIDIA: SAUCE: r8127: Remove Realtek r8127 non required files
    - NVIDIA: SAUCE: r8127: Moved files from r8127/src to r8127 folder
    - NVIDIA: SAUCE: Add r8127 in kernel build
    - [Config] nvidia-6.11: Update annotations to enable realtek R8127 module

  * Pull request: Add quirk and disable SBR on Gen5 ports (LP: #2107509)
    - NVIDIA: SAUCE: MEDIATEK: usb: host: xhci-plat: support usb3 bulks stream
      low power

  * Apply backport of upstream commit to enable Realtek Bluetooth module
    (LP: #2096882)
    - NVIDIA: SAUCE: Adds MT7925 BT devices

  * Apply SAUCE patch to enable 8250 serial device (LP: #2096888)
    - NVIDIA: SAUCE: serial: 8250_mtk: Add ACPI support

  * Backport: "Add support for AArch64 AMUv1-based average freq" Series
    (LP: #2100032)
    - NVIDIA: [Config] set CONFIG_CPUFREQ_ARCH_CUR_FREQ=y for x86

  * MANA: include driver fixes and enable module on ARM64 (LP: #2084598)
    - [Config] nvidia-6.17: Enable MANA configs on x86 and arm64

  * Apply patch to set CONFIG_EFI_CAPSULE_LOADER=y for arm64 (LP: #2067111)
    - NVIDIA: [Config] EFI: set CAPSULE_LOADER=y for arm64

  * linux-nvidia-6.5_6.5.0-1014.14 breaks with earlier BIOS release, and
    modeset/resolutions are wrong (LP: #2061930) // Blacklist coresight_etm4x
    (LP: #2067106)
    - [Packaging] blacklist coresight_etm4x

  * backport arm64 THP improvements from 6.9 (LP: #2059316)
    - NVIDIA: [Config] arm64: ARM64_CONTPTE=y

  * Reapply the linux-nvidia kernel config options from the 5.15 and 6.5
    kernels (LP: #2060327)
    - NVIDIA: [Config]: Disable the NOUVEAU driver which is not used with
      -nvidia kernels
    - NVIDIA: [Config]: Adding CORESIGHT and ARM64_ERRATUM configs to
      annotations

  [ Ubuntu: 7.0.0-6.6 ]

  * resolute/linux: 7.0.0-6.6 -proposed tracker (LP: #2143745)
  * Miscellaneous Ubuntu changes
    - [Packaging] drop unstable suffix

  [ Ubuntu: 7.0.0-5.5 ]

  * resolute/linux-unstable: 7.0.0-5.5 -proposed tracker (LP: #2143700)
  * Resolute real-time patchset: 7.0-rc1-rt1 (LP: #2143181)
    - SAUCE: Reapply "serial: 8250: Switch to nbcon console"
    - SAUCE: Reapply "serial: 8250: Revert "drop lockdep annotation from
      serial8250_clear_IER()""
    - SAUCE: drm/i915: Use preempt_disable/enable_rt() where recommended
    - SAUCE: drm/i915: Don't disable interrupts on PREEMPT_RT during atomic
      updates
    - SAUCE: drm/i915: Disable tracing points on PREEMPT_RT
    - SAUCE: drm/i915/gt: Use spin_lock_irq() instead of local_irq_disable() +
      spin_lock()
    - SAUCE: drm/i915: Drop the irqs_disabled() check
    - SAUCE: drm/i915/guc: Consider also RCU depth in busy loop.
    - SAUCE: drm/i915: Consider RCU read section as atomic.
    - SAUCE: Revert "drm/i915: Depend on !PREEMPT_RT."
    - SAUCE: sysfs: Add /sys/kernel/realtime entry
    - Real-time patchset 7.0-rc1-rt1
  * Miscellaneous Ubuntu changes
    - [Config] rust toolchain version update

  [ Ubuntu-unstable: 7.0.0-4.4 ]

  * resolute/linux-unstable: 7.0.0-4.4 -proposed tracker (LP: #2143123)
  * efi: Fix swapped arguments to bsearch() in efi_status_to_*() SAUCE patch
    (LP: #2141276)
    - SAUCE efi: Fix swapped arguments to bsearch() in efi_status_to_*()
  * Plucky preinstalled server fails to boot on rb3gen2 (LP: #2106681) //
    Questing preinstalled server fails to boot on sa8775p boards
    (LP: #2121347)
    - [Config] move more qcom interconnect/pinctrl/gcc options to builtin
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Add llvm-21-dev to build-depends for perf
  * Miscellaneous Ubuntu changes
    - [Packaging] Add intel-speed-select to linux-tools
    - [Packaging] remove stale debian/dkms-versions
    - [Packaging] remove stale debian/dkms-versions scripting

  [ Ubuntu-unstable: 7.0.0-3.3 ]

  * resolute/linux-unstable: 7.0.0-3.3 -proposed tracker (LP: #2143020)
  * Miscellaneous Ubuntu changes
    - [Config] updateconfig after rebase to v7.0-rc2
    - [Config] switch to PREEMPT_LAZY

  [ Ubuntu-unstable: 7.0.0-2.2 ]

  * resolute/linux-unstable: 7.0.0-2.2 -proposed tracker (LP: #2142764)

  [ Ubuntu-unstable: 7.0.0-1.1 ]

  * resolute/linux-unstable: 7.0.0-1.1 -proposed tracker (LP: #2142402)
  * Miscellaneous Ubuntu changes
    - [packaging] rename to linux-unstable
    - [Config] updateconfig after rebase to v7.0-rc1
    - Update Changes.md
    - [Packaging] add libbpf-dev to Build-Depends
    - [Config] disable AMD_ISP4, FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove zfs FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove evdi FTBFS
    - [Config] updateconfig after rebase to v7.0-rc1
    - [Config] update toolchain version

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 26 Mar 2026 11:14:51 -0500

linux-nvidia (6.19.0-1001.1) resolute; urgency=medium

  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Add llvm-21-dev to build-depends for perf

  [ Ubuntu: 6.19.0-6.6 ]

  * resolute/linux: 6.19.0-6.6 -proposed tracker (LP: #2142114)
  * Resolute update: v6.19.2 upstream stable release (LP: #2142112)
    - Revert "driver core: enforce device_lock for driver_match_device()"
    - Linux 6.19.2
  * Resolute update: v6.19.1 upstream stable release (LP: #2142111)
    - io_uring/io-wq: add exit-on-idle state
    - io_uring: allow io-wq workers to exit when unused
    - smb: client: split cached_fid bitfields to avoid shared-byte RMW races
    - ksmbd: fix infinite loop caused by next_smb2_rcv_hdr_off reset in error
      paths
    - ksmbd: add chann_lock to protect ksmbd_chann_list xarray
    - smb: server: fix leak of active_num_conn in ksmbd_tcp_new_connection()
    - smb: smbdirect: introduce smbdirect_socket.recv_io.credits.available
    - smb: smbdirect: introduce smbdirect_socket.send_io.bcredits.*
    - smb: server: make use of smbdirect_socket.recv_io.credits.available
    - smb: server: let recv_done() queue a refill when the peer is low on
      credits
    - smb: server: make use of smbdirect_socket.send_io.bcredits
    - smb: server: fix last send credit problem causing disconnects
    - smb: server: let send_done handle a completion without IB_SEND_SIGNALED
    - smb: client: make use of smbdirect_socket.recv_io.credits.available
    - smb: client: let recv_done() queue a refill when the peer is low on
      credits
    - smb: client: let smbd_post_send() make use of request->wr
    - smb: client: remove pointless sc->recv_io.credits.count rollback
    - smb: client: remove pointless sc->send_io.pending handling in
      smbd_post_send_iter()
    - smb: client: port and use the wait_for_credits logic used by server
    - smb: client: split out smbd_ib_post_send()
    - smb: client: introduce and use smbd_{alloc, free}_send_io()
    - smb: client: use smbdirect_send_batch processing
    - smb: client: make use of smbdirect_socket.send_io.bcredits
    - smb: client: fix last send credit problem causing disconnects
    - smb: client: let smbd_post_send_negotiate_req() use smbd_post_send()
    - smb: client: let send_done handle a completion without IB_SEND_SIGNALED
    - driver core: enforce device_lock for driver_match_device()
    - Bluetooth: btusb: Add USB ID 7392:e611 for Edimax EW-7611UXB
    - ALSA: hda/conexant: Add quirk for HP ZBook Studio G4
    - crypto: iaa - Fix out-of-bounds index in find_empty_iaa_compression_mode
    - crypto: octeontx - Fix length check to avoid truncation in
      ucode_load_store
    - crypto: omap - Allocate OMAP_CRYPTO_FORCE_COPY scatterlists correctly
    - crypto: virtio - Add spinlock protection with virtqueue notification
    - crypto: virtio - Remove duplicated virtqueue_kick in
      virtio_crypto_skcipher_crypt_req
    - nilfs2: Fix potential block overflow that cause system hang
    - hfs: ensure sb->s_fs_info is always cleaned up
    - wifi: rtw88: Fix alignment fault in rtw_core_enable_beacon()
    - scsi: qla2xxx: Validate sp before freeing associated memory
    - scsi: qla2xxx: Allow recovery for tape devices
    - scsi: qla2xxx: Delay module unload while fabric scan in progress
    - scsi: qla2xxx: Free sp in error path to fix system crash
    - scsi: qla2xxx: Query FW again before proceeding with login
    - sched/mmcid: Don't assume CID is CPU owned on mode switch
    - bus: fsl-mc: fix use-after-free in driver_override_show()
    - erofs: fix UAF issue for file-backed mounts w/ directio option
    - xfs: fix UAF in xchk_btree_check_block_owner
    - drm/exynos: vidi: use ctx->lock to protect struct vidi_context member
      variables related to memory alloc/free
    - PCI: endpoint: Avoid creating sub-groups asynchronously
    - wifi: rtl8xxxu: fix slab-out-of-bounds in rtl8xxxu_sta_add
    - Linux 6.19.1
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor: fix aa_label_sk_perm to check for RULE_MEDIATES_NET

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 03 Mar 2026 11:01:18 -0600

linux-nvidia (6.19.0-1000.0) resolute; urgency=medium

  * Initial changelog entry.

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 27 Feb 2026 14:49:42 -0600

linux (6.19.0-6.6) resolute; urgency=medium

  * resolute/linux: 6.19.0-6.6 -proposed tracker (LP: #2142114)

  * Resolute update: v6.19.2 upstream stable release (LP: #2142112)
    - Revert "driver core: enforce device_lock for driver_match_device()"
    - Linux 6.19.2

  * Resolute update: v6.19.1 upstream stable release (LP: #2142111)
    - io_uring/io-wq: add exit-on-idle state
    - io_uring: allow io-wq workers to exit when unused
    - smb: client: split cached_fid bitfields to avoid shared-byte RMW races
    - ksmbd: fix infinite loop caused by next_smb2_rcv_hdr_off reset in error
      paths
    - ksmbd: add chann_lock to protect ksmbd_chann_list xarray
    - smb: server: fix leak of active_num_conn in ksmbd_tcp_new_connection()
    - smb: smbdirect: introduce smbdirect_socket.recv_io.credits.available
    - smb: smbdirect: introduce smbdirect_socket.send_io.bcredits.*
    - smb: server: make use of smbdirect_socket.recv_io.credits.available
    - smb: server: let recv_done() queue a refill when the peer is low on
      credits
    - smb: server: make use of smbdirect_socket.send_io.bcredits
    - smb: server: fix last send credit problem causing disconnects
    - smb: server: let send_done handle a completion without IB_SEND_SIGNALED
    - smb: client: make use of smbdirect_socket.recv_io.credits.available
    - smb: client: let recv_done() queue a refill when the peer is low on
      credits
    - smb: client: let smbd_post_send() make use of request->wr
    - smb: client: remove pointless sc->recv_io.credits.count rollback
    - smb: client: remove pointless sc->send_io.pending handling in
      smbd_post_send_iter()
    - smb: client: port and use the wait_for_credits logic used by server
    - smb: client: split out smbd_ib_post_send()
    - smb: client: introduce and use smbd_{alloc, free}_send_io()
    - smb: client: use smbdirect_send_batch processing
    - smb: client: make use of smbdirect_socket.send_io.bcredits
    - smb: client: fix last send credit problem causing disconnects
    - smb: client: let smbd_post_send_negotiate_req() use smbd_post_send()
    - smb: client: let send_done handle a completion without IB_SEND_SIGNALED
    - driver core: enforce device_lock for driver_match_device()
    - Bluetooth: btusb: Add USB ID 7392:e611 for Edimax EW-7611UXB
    - ALSA: hda/conexant: Add quirk for HP ZBook Studio G4
    - crypto: iaa - Fix out-of-bounds index in find_empty_iaa_compression_mode
    - crypto: octeontx - Fix length check to avoid truncation in
      ucode_load_store
    - crypto: omap - Allocate OMAP_CRYPTO_FORCE_COPY scatterlists correctly
    - crypto: virtio - Add spinlock protection with virtqueue notification
    - crypto: virtio - Remove duplicated virtqueue_kick in
      virtio_crypto_skcipher_crypt_req
    - nilfs2: Fix potential block overflow that cause system hang
    - hfs: ensure sb->s_fs_info is always cleaned up
    - wifi: rtw88: Fix alignment fault in rtw_core_enable_beacon()
    - scsi: qla2xxx: Validate sp before freeing associated memory
    - scsi: qla2xxx: Allow recovery for tape devices
    - scsi: qla2xxx: Delay module unload while fabric scan in progress
    - scsi: qla2xxx: Free sp in error path to fix system crash
    - scsi: qla2xxx: Query FW again before proceeding with login
    - sched/mmcid: Don't assume CID is CPU owned on mode switch
    - bus: fsl-mc: fix use-after-free in driver_override_show()
    - erofs: fix UAF issue for file-backed mounts w/ directio option
    - xfs: fix UAF in xchk_btree_check_block_owner
    - drm/exynos: vidi: use ctx->lock to protect struct vidi_context member
      variables related to memory alloc/free
    - PCI: endpoint: Avoid creating sub-groups asynchronously
    - wifi: rtl8xxxu: fix slab-out-of-bounds in rtl8xxxu_sta_add
    - Linux 6.19.1

  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor: fix aa_label_sk_perm to check for RULE_MEDIATES_NET

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 18 Feb 2026 14:31:48 +0200
